Page MenuHomePhabricator

Varnish 6.0 needs a SONAME version bump
Closed, ResolvedPublic

Description

Varnish commit 07d4e752 broke libvarnishapi1 in version 5.2 of the software by introducing backward incompatible API and ABI changes. The problem was fixed in version 6.1 with the needed SONAME bump, and the decision taken by the varnish folks was to not backport the fix to the 6.0 (LTS) release to avoid breaking the stable series during its lifetime.

For our 6.0 WMF packages we thus need to backport the fix ourselves, patch varnishkafka to depend on libvarnishapi2, and rebuild it.

Event Timeline

ema created this task.Aug 28 2020, 8:33 AM
Restricted Application added a project: Operations. · View Herald TranscriptAug 28 2020, 8:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 622964 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/debs/varnish4@debian-wmf] Add 0006-bump-api-soname

https://gerrit.wikimedia.org/r/622964

Change 622965 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/debs/varnish4@debian-wmf] Bump libvarnishapi SONAME

https://gerrit.wikimedia.org/r/622965

Change 622969 had a related patch set uploaded (by Ema; owner: Ema):
[operations/software/varnish/varnishkafka@debian] Update versioned dependency on libvarnishapi-dev

https://gerrit.wikimedia.org/r/622969

ema updated the task description. (Show Details)Aug 28 2020, 9:09 AM

Change 622973 had a related patch set uploaded (by Ema; owner: Ema):
[operations/debs/varnish4@debian-wmf] Use libvarnishapi2 instead of libvarnishapi1 in override

https://gerrit.wikimedia.org/r/622973

ema moved this task from Triage to Caching on the Traffic board.Aug 31 2020, 11:40 AM

Change 623533 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] varnish: do not explicitly install libvarnishapi1

https://gerrit.wikimedia.org/r/623533

Change 623533 merged by Ema:
[operations/puppet@production] varnish: do not explicitly install libvarnishapi1

https://gerrit.wikimedia.org/r/623533

Change 622964 merged by Ema:
[operations/debs/varnish4@debian-wmf] Add 0006-bump-api-soname

https://gerrit.wikimedia.org/r/622964

Change 622965 merged by Ema:
[operations/debs/varnish4@debian-wmf] Bump libvarnishapi SONAME

https://gerrit.wikimedia.org/r/622965

Change 622973 merged by Ema:
[operations/debs/varnish4@debian-wmf] Use libvarnishapi2 instead of libvarnishapi1 in override

https://gerrit.wikimedia.org/r/622973

Change 622969 merged by Ema:
[operations/software/varnish/varnishkafka@debian] Update versioned dependency on libvarnishapi-dev

https://gerrit.wikimedia.org/r/622969

ema closed this task as Resolved.Sep 22 2020, 3:26 PM
ema claimed this task.

This is now done, our Varnish package version 6.0.6-1wm1 includes 0006-bump-api-soname.patch taking care of the SONAME bump. All dependencies (varnishkafka, varnish-modules, libvmod-netmapper, libvmod-re2) have been rebuilt against libvarnishapi2 from 6.0.6-1wm1 and uploaded to the archive under component/varnish6.

Mentioned in SAL (#wikimedia-operations) [2020-10-27T11:14:05Z] <ema> A:cp remove libvarnishapi1, replaced by libvarnishapi2 a while ago T261487